org.springframework.data.repository.query

## Class SpelQueryContext.EvaluatingSpelQueryContext

- java.lang.Object
- - org.springframework.data.repository.query.SpelQueryContext
  - - org.springframework.data.repository.query.SpelQueryContext.EvaluatingSpelQueryContext

Enclosing class:
  SpelQueryContext

    public static class SpelQueryContext.EvaluatingSpelQueryContext
    extends SpelQueryContext

An extension of `SpelQueryContext` that can create `SpelEvaluator` instances as it also knows about a `QueryMethodEvaluationContextProvider`.

Since:
  2.1
Author:
  Oliver Gierke

### Nested Class Summary

### Nested classes/interfaces inherited from class org.springframework.data.repository.query.SpelQueryContext

`SpelQueryContext.EvaluatingSpelQueryContext, SpelQueryContext.SpelExtractor`

### Method Summary

All Methods Instance Methods Concrete Methods
`SpelEvaluator` `parse(String query, Parameters<?,?> parameters)` Parses the query for SpEL expressions using the pattern: <prefix>#{<spel>} with prefix being the character ':' or '?'.

### Methods inherited from class org.springframework.data.repository.query.SpelQueryContext

`of, parse, withEvaluationContextProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public SpelEvaluator parse(String query,
                               Parameters<?,?> parameters)

Parses the query for SpEL expressions using the pattern:

     <prefix>#{<spel>}

with prefix being the character ':' or '?'. Parsing honors quoted Strings enclosed in single or double quotation marks.

Parameters:
  `query` - a query containing SpEL expressions in the format described above. Must not be null.
  `parameters` - a `Parameters` instance describing query method parameters
Returns:
  A `SpelEvaluator` which allows to evaluate the SpEL expressions. Will never be null.